Package org.apache.sysds.runtime.controlprogram.parfor

## Class TaskPartitionerFactory

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFactory

    public class TaskPartitionerFactory
    extends Object

### Constructor Summary

Constructors
`TaskPartitionerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static TaskPartitioner` `createTaskPartitioner​(ParForProgramBlock.PTaskPartitioner type, IntObject from, IntObject to, IntObject incr, long taskSize, int numThreads, String iterPredVar)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskPartitionerFactory

    public TaskPartitionerFactory()

### Method Detail

#### createTaskPartitioner

    public static TaskPartitioner createTaskPartitioner​(ParForProgramBlock.PTaskPartitioner type,
                                                        IntObject from,
                                                        IntObject to,
                                                        IntObject incr,
                                                        long taskSize,
                                                        int numThreads,
                                                        String iterPredVar)